<?php
class doc_union extends c_doc
{
 var $title='Пакет документов' ;
 var $PDF_page_orientation='P' ; // L P
 var $PDF_page_format='A4' ;
 var $footer_right='' ;
 var $db_report_code='' ;

 var $rec_event=array() ;
 var $rec_personal=array() ;

 var $mo_id=0 ;
 var $personal_id=0 ;
 var $arr_html_docs=array() ;

 function init($create_options=array())
 {  if ($this->filter['event_id']) $this->rec_event=EVENTS()->get_event_by_id($this->filter['event_id']) ;
    if ($this->filter['personal_id']) $this->rec_personal=PERSONAL()->get_personal_by_id($this->filter['personal_id']) ;
    if ($this->rec_personal['pkey']) $this->personal_id=$this->rec_personal['pkey'] ;
 }
 // в теле документа, стоит обработчик массива переданных документов
 // кадный документ создается как отдельный объект и сохраняется в свой файл
 function view_as_HTML($options=array())
  { $this->init() ;
    // идем по списку документов мероприятия
    if (_sizeof($this->rec_event['_ext_info']['event_docs'])) foreach($this->rec_event['_ext_info']['event_docs'] as $doc_code=>$doc_name)
    {  // генерим полноценные PDF документы с регистрацией в таблице документов
       unset($options['no_reg_doc']) ;
       $res=DOCS()->doc_create($doc_code,$this->filter,$options) ;
       // сохраняем в массиве путь к HTML искходнику документа
       $this->arr_html_docs[]=_TEMP_DIR.$res['source_doc_html'] ;
    }


  }

}

?>
